@import "../../../../Resource/Css/base";

.item {
  overflow: hidden;
  border-radius: 16px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.02), 0 3px 6px rgba(0, 0, 0, 0.04);
  height: 100%;
  position: relative;

  :global {
    .ant-card-body {
      padding: 0;
    }
  }

  .container {
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    min-height: 145px;

    .titleContainer {
      width: 100%;
      margin-bottom: 8px;

      .title {
        font-weight: 800;
        margin: 0;
        line-height: 24px;

        &:hover {
          color: $yellow-daa43d;
        }
      }
    }

    .infoContainer {
      display: flex;
      align-items: flex-start;
      width: 100%;
      margin-bottom: 8px;
      line-height: 14px;

      .infoItem {
        margin-right: 8px;

        &:after {
          content: '-';
          margin-left: 8px;
        }

        &:last-child {
          margin-right: 0;

          &:after {
            display: none;
          }
        }
      }
    }

    .detailContainer {
      flex: 1 1 0;
      display: flex;
      flex-direction: column;
      justify-content: center;
      width: 100%;

      .detailItem {
        display: flex;
        flex-direction: column;
        margin-bottom: 8px;

        &:last-of-type {
          margin-bottom: 0;
        }

        .detailTitle {
          font-size: 12px;
        }

        .detailValue {
          color: #000;
          font-weight: 700;
          line-height: 14px;
        }
      }
    }
  }

  .extraTitle{
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 24px;
    background: rgba(168, 168, 168, 0.15);

    span{
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%) rotate(90deg);
    }
  }
}
